AOZ Studio Beta - Bug #507

Beep.wav file error when running programs
09/19/2020 11:18 AM - Paul Kitching

Status: Closed Start date: 09/19/2020
Priority: Normal Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 1:00 hour
Target version:

Affected version: Beta RC2

Description

No program will compile until | manually copy beep.wav into the resources/appicon directory.
E.g. to E:\\Data\My Documents\My AOZ Applications\Mirror\resources\appicon

Uncaught Error: EPERM: operation not permitted, copyfile 'E:\AOZ Studio (64
bits)\aoz//templates//empty_application_pc//resources//appicon/beep.wav' -> 'E:/Data/My Documents/My AOZ
Applications/Mirror//resources//appicon//beep.wav'

fs.js:122

Error: EPERM: operation not permitted, copyfile 'E:\AOZ Studio (64
bits)\aoz//templates//empty_application_pc//resources//appicon/beep.wav' -> 'E:/Data/My Documents/My AOZ
Applications/Mirror//resources//appicon//beep.wav'

at Object.copyFileSync (fs.js:1779:3)

at Object.func as copyFileSync

at AOZView.checkApplcons (E:\\AOZ Studio (64 bits)\aoz\IDE.atom\packages\aoz-studio\lib\aoz-studio-view.js:1639:7)

at AOZView.buildCurrentApplication (E:\AOZ Studio (64 bits)\aoz\IDE.atom\packages\aoz-studio\lib\aoz-studio-view.js:1466:8)

at HTMLElement.aoz-studio:run-atom (E:\AOZ Studio (64 bits)\aoz\IDE.atom\packages\aoz-studio\lib\aoz-studio-view.js:285:77)

at CommandRegistry.handleCommandEvent (E:\\AOZ Studio (64 bits)\aoz\IDE\atom64\resources\app\staticckembedded>:11:349780)
at KeymapManager.dispatchCommandEvent (E:\AOZ Studio (64
bits)\aoz\IDE\atom64\resources\app\statickembedded>:11:1231083)

at KeymapManager.handleKeyboardEvent (E:\\AOZ Studio (64 bits)\aoz\IDE\atom64\resources\app\statickembedded>:11:1227217)
at WindowEventHandler.handleDocumentKeyEvent (E:\AOZ Studio (64
bits)\aoz\IDE\atom64\resources\app\statickembedded>:11:284829)

History

#1 - 09/19/2020 01:20 PM - Brian Flanagan
- Status changed from New to Feedback

- Estimated time set to 1:00 h

I've seen that error before, but I'm not experiencing that in the current version. (Beta RC2)
Did any errors occur when you installed the RC2 version?
Did you try a clean install? (Rename the old program folder, so it's like a new install.)

#2 - 09/19/2020 05:46 PM - Paul Kitching

No errors on install that | remember.

| uninstalled the previous one, then manually deleted the left over directory, then did a new install.

The only thing | did different to the default, was to change the install directory to point to my E drive, as my C drive is for the OS and isn't very big. |
have all my software installed on E.

| also get errors in the window at the bottom. | can't copy then, but they say:
Compiler error: cannot copy file: E:/data/.../appicon/beep.wav
Compiler error: cannot copy file: E:/AOZ Studio (64 bits)/.../resources/star_night.jpeg

#3 - 04/13/2021 07:53 PM - Brian Flanagan
- Status changed from Feedback to Closed

Re-tested in 1.0.0 (B7). Works. | see no more file errors.
electron/js2c/asar.js:138:31

(The "beep" error was corrected a long time ago.)
